/[pcsx2_0.9.7]/auto_build_latest_upstream.sh
ViewVC logotype

Diff of /auto_build_latest_upstream.sh

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

--- auto_build_latest_upstream.sh	2010/09/09 17:42:06	97
+++ auto_build_latest_upstream.sh	2010/09/09 20:01:13	104
@@ -6,6 +6,18 @@
         . ./auto_build_defs.sh
 fi
 
+export DISABLE_AUTO_TAG="0"
+
+if [ "$2" == "--no-auto-tag" ] ; then
+        DISABLE_AUTO_TAG="1"
+fi
+if [ "$3" == "--no-prebuild" ] ; then
+        DISABLE_PREBUILD="1"
+fi
+if [ "$4" == "--no-cleanup" ] ; then
+        DISABLE_CLEANUP="1"
+fi
+
 # output variables
 echo "---------------------------------------------------------------------------------------"
 echo "AUTO BUILD CONFIG:"
@@ -21,15 +33,23 @@
 echo
 echo "PERFORMING AUTOBUILD:"
 
-export DISABLE_AUTO_TAG="0"
-
-if [ "$1" == "--no-auto-tag" ] ; then
-        DISABLE_AUTO_TAG="1"
-fi
         
 
 # call auto prebuild
-"$downstream_export_location/auto_prebuild_latest_upstream.sh"
+if [ "$DISABLE_PREBUILD" == "0" ] ; then
+	if [ "$AUTO_PREBUILD_DONE" == "" ] ; then
+		"$downstream_export_location/auto_prebuild_latest_upstream.sh"
+		if [ "$AUTO_PREBUILD_DONE" != "true" ] ; then
+			echo "PREBUILD FAILED..."
+			exit 1
+		fi	
+	fi
+else
+echo "PREBUILD HAS BEEN DISABLED..."	
+cd "$PCSX2_BUILD_TMP"
+find -name *.pch -exec rm -f {} \;
+echo	
+fi
 
 # START VISUAL STUDIO BUILD SUPPORT
 export BUILD_SUCCESS=0
@@ -51,15 +71,20 @@
 
 	# CLEANUP
 	echo "PERFORMING CLEANUP"
-	cd "$BUILD_TMP_DIR"
-	rm -Rf "$PCSX2_BUILD_TMP"
-	rm -Rf *
-	echo "CLEANUP COMPLETE..."
+	if [ "$DISABLE_CLEANUP" == "0" ] ; then
+		cd "$BUILD_TMP_DIR"
+		rm -Rf "$PCSX2_BUILD_TMP"
+		rm -Rf *
+		echo "CLEANUP COMPLETE..."
+	else
+	echo "CLEANUP DISABLED..."
+	fi
 
 	echo
 	echo "AUTOBUILD COMPLETE..."
 	# perform auto tagging
 	if [ "$DISABLE_AUTO_TAG" == "0" ] ; then
+		"$downstream_export_location/auto_branch_latest_upstream.sh"
 		"$downstream_export_location/auto_tag_latest_upstream.sh"
 	else
 		echo "AUTO BUILD TAGGING HAS BEEN DISABLED ... not calling auto_tag_latest_upstream.sh --> to enable do not use --no-auto-tag"
@@ -68,10 +93,15 @@
 
 	# CLEANUP
 	echo "PERFORMING CLEANUP"
-	cd "$BUILD_TMP_DIR"
-	rm -Rf "$PCSX2_BUILD_TMP"
-	rm -Rf *
-	echo "CLEANUP COMPLETE..."
+	
+	if [ "$DISABLE_CLEANUP" == "0" ] ; then
+		cd "$BUILD_TMP_DIR"
+		rm -Rf "$PCSX2_BUILD_TMP"
+		rm -Rf *
+		echo "CLEANUP COMPLETE..."
+	else
+	echo "CLEANUP DISABLED..."
+	fi
 	echo
 	echo "BUILD FAILED..."
 	echo

 

  ViewVC Help
Powered by ViewVC 1.1.22